/******************************************************************************/
/*                              CLAGLUE.H                                     */
/*                                                                            */
/*  CLAGLUE.H defines types and macros, and declares functions that are       */
/*  generally useful for writing modules to glue third-party code into        */
/*  Clarion applications.                                                     */
/*                                                                            */
/*  Sean Wilson, 16 July 1992                                                 */
/******************************************************************************/

#include "claglue.h"

/** MAPADDR *******************************************************************
 *
 *  Synopsis:
 *      INCLUDE('ClaGlue.Cla')
 *
 *      MapAddr(ULONG, STRING)
 *
 *  Description:
 *      MapAddr() is called from a Clarion program to map a group structure to
 *      an address.  This mapping is acheived only by copying data from the
 *      address expressed as a ULONG to the group passed as a STRING parameter.
 *      This procedure is intended to be used only to allow a Clarion program
 *      to map a group onto a pointer to a structure returned from a C function.
 */

void MappAddr(CLAULONG ulAddr, CLAUSHORT usLen, CLABYTE *cpData)
{   CLABYTE *cpAddr = (CLABYTE *)ulAddr;

    while (usLen--)
        *cpAddr++ = *cpData++;
}

